<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Files StructType
 * @subpackage Structs
 */
class Get_Files extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The FileSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\FileSelection
     */
    public $FileSelection;
    /**
     * Constructor method for Get_Files
     * @uses Get_Files::setLogin()
     * @uses Get_Files::setFileSelection()
     * @param \StructType\Login $login
     * @param \StructType\FileSelection $fileSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\FileSelection $fileSelection = null)
    {
        $this
            ->setLogin($login)
            ->setFileSelection($fileSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Files
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get FileSelection value
     * @return \StructType\FileSelection|null
     */
    public function getFileSelection()
    {
        return $this->FileSelection;
    }
    /**
     * Set FileSelection value
     * @param \StructType\FileSelection $fileSelection
     * @return \StructType\Get_Files
     */
    public function setFileSelection(\StructType\FileSelection $fileSelection = null)
    {
        $this->FileSelection = $fileSelection;
        return $this;
    }
}
